# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXLocalizeInterpolator

Function

Copies an interpolator structure into local memory.

Syntax
`
#include <dx/dx.h>
`

Interpolator DXLocalizeInterpolator(Interpolator interp)

Functional Details

The interpolator structure (`interp`) is copied from shared memory into local memory, on multiprocessor machines with local memory. If the data being interpolated are relatively small and repeatedly accessed, these structures may be copied into local memory for faster access.

The local copy will automatically be freed when the interpolator is deleted.

Return Value Returns the localized interpolator or returns `NULL` and sets an error code.

See Also

`DXInterpolate, DXNewInterpolator`

14.2 , "Interpolation and Mapping".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]